# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hledger

Name:           %{pkg_name}
Version:        0.19.3
Release:        1%{?dist}
Summary:        A double-entry accounting tool

License:        GPLv3
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-hledger-lib-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regexpr-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-shakespeare-text-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-utf8-string-devel
# End cabal-rpm deps

%description
hledger reads a plain text general journal or time log
describing your transactions and displays precise
balance and register reports on the console.
It is a remix, in haskell, of John Wiegley's excellent c++
ledger.  hledger aims to be a practical, accessible tool
for end users and a useful library for finance-minded
haskell programmers.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Wed Jun 12 2013 Jens Petersen <petersen@redhat.com> - 0.19.3-1
- update to 0.19.3
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 19 2013 Jens Petersen <petersen@redhat.com> - 0.17-5
- allow haskeline-0.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Jens Petersen <petersen@redhat.com> - 0.17-3
- re-enable dynamic executable
- allow building with cmdargs-0.10 and split-0.2
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.17-1
- Initial package
